from django.urls import path
from django.conf import settings
from django.conf.urls.static import static

from . import viewsets

urlpatterns = [
    path("<int:pk>", viewsets.ProfileViewSet.as_view({'get': 'retrieve', 'patch': 'partial_update'}), name="profile_page"),
    path("", viewsets.ProfileViewSet.as_view({'get': 'list'}), name="profiles_list"),
    #path("me", viewsets.ProfileViewSet.as_view(), name="my_profile_page"),
] + static("/static/avatars/", document_root="./avatars")